Subject: [bug#62394] [PATCH] make more packages tunable

From: Simon Tournier <[email-masked]>
Date: Fri, 05 May 2023 16:11:51 +0200

Hi,

On sam., 01 avril 2023 at 10:19, Ludovic Courtès <[email-masked]> wrote:

> I’m reluctant to marking things like Chromium or OpenJDK as tunable
> because they take ages to build: it’s more work for ci.guix (which
> builds a few tuned variants of each tunable package), and possibly leads
> to local recompilations for users when substitutes for their
> micro-architecture are unavailable.
>
> It’s also not immediately obvious to me why these two packages as well
> as zlib would benefit from micro-architecture-specific optimizations.

What is the status of this patch?

Well, I also have mixed feelings about the tuning of these packages.

Cheers,
simon